# 55. zip फ़ाइलें अपलोड करें (6 MB से अधिक)

AWS क्लाउड प्रदाता की एक तकनीकी सीमा के रूप में, 6 MB से बड़े फ़ाइलें अपलोड करने के लिए 2 चरणों में करना होगा:

#### **1. आगे सीधे अपलोड के लिए प्री-साइन्ड लिंक का अनुरोध करें।**  <a href="#step1" id="step1"></a>

इनपुट के रूप में:&#x20;

* `fileType` - `उपज` या `मिट्टी` या `लागू किए गए` या `adapt` या `बाउंडरी`,&#x20;
* `farmUuid` (वैकल्पिक) - फ़ाइल को आयात करने के लिए खेत का uuid।&#x20;

आउटपुट के रूप में:

* `uuid` - अपलोड और प्रोसेसिंग के बाद अपेक्षित uuid,
* `farmUuid` - वही जो इनपुट में था,
* `fileType` - वही जो इनपुट में था,
* `s3Url` - फ़ाइल अपलोड करने के लिए प्रयुक्त URL,
* `s3Fields` - अपलोड फ़ाइल फॉर्म में पास करने के लिए गुण।

उपयोग करने का विवरण `s3Url` और `s3Fields` दूसरे चरण में वर्णित है।&#x20;

ये गुण फ़ाइल अपलोड करने के लिए केवल 60 मिनट के लिए मान्य हैं।

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. s3Url पर स्थानीय फ़ाइल भेजें s3Fields से पूर्वनिर्धारित फॉर्म गुणों के साथ।**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

प्रोसेसिंग के बारे में सूचनाएँ सदस्यता तंत्र के माध्यम से दी जाएँगी जैसा कि वर्णित है\
&#x20;[1. सदस्यता: घटनियाँ प्राप्त करें](/geopard-tutorials/in/api/geopard-api-3/1..md).

{% hint style="info" %}
प्रतिक्रिया हेडर में एक शामिल होता है `Etag` हेडर, जो उदाहरण के लिए इस तरह दिखाई देता है `Etag: "6fd3e76992738357ab50039f2c60024e"`. यह मान बाद में GraphQL में उपयोग किया जाता है [query getPlatformContext](/geopard-tutorials/in/api/geopard-api-3/83..md) प्रोसेसिंग प्रगति की निगरानी करने के लिए, साथ ही "Field", "AsAppliedDataset", "YieldDataset", और "SoilDataset" संस्थाओं के साथ सम्बन्ध स्थापित करने के लिए।
{% endhint %}

{% hint style="info" %}
प्रयोग करें `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/55.-zip-6-mb.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
